Summary:	LZMA library - MinGW32 cross version
Summary(pl.UTF-8):	Biblioteka LZMA - wersja skrośna dla MinGW32
Name:		crossmingw32-xz
Version:	5.2.2
Release:	1
License:	LGPL v2.1+
Group:		Development/Libraries
Source0:	http://tukaani.org/xz/xz-%{version}.tar.gz
# Source0-md5:	7cf6a8544a7dae8e8106fdf7addfa28c
URL:		http://tukaani.org/xz/
BuildRequires:	crossmingw32-gcc >= 3.4
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1

%define		target			i386-mingw32
%define		target_platform		i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker
%define		filterout_ld    -Wl,-z,.*
%define		filterout_c	-f[-a-z0-9=]*

%description
LZMA is default and general compression method of 7z format in 7-Zip
program. LZMA provides high compression ratio and very fast
decompression, so it is very suitable for embedded applications.

This package contains the cross version for Win32.

%description -l pl.UTF-8
LZMA jest domyślnym i ogólnym algorytmem kompresji formatu 7z
stosowanego przez 7-Zip. LZMA zapewnia wysoki stopień kompresji i
bardzo szybką dekompresję, więc nadaje się do zastosowań osadzonych.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static LZMA library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka LZMA (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static LZMA library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka LZMA (wersja skrośna MinGW32).

%package dll
Summary:	LZMA - DLL library for Windows
Summary(pl.UTF-8):	LZMA - biblioteka DLL dla Windows
Group:		Applications/Emulators
Requires:	wine

%description dll
LZMA - DLL library for Windows.

%description dll -l pl.UTF-8
LZMA - biblioteka DLL dla Windows.

%prep
%setup -q -n xz-%{version}

%build
%configure \
	--target=%{target} \
	--host=%{target}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
mv -f $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} -r $RPM_BUILD_ROOT%{_bindir}/* \
	$RPM_BUILD_ROOT%{_mandir}/man1 \
	$RPM_BUILD_ROOT%{_datadir}/doc/xz \
	$RPM_BUILD_ROOT%{_datadir}/locale

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING README THANKS doc/*.txt
%{_libdir}/liblzma.dll.a
%{_libdir}/liblzma.la
%{_includedir}/lzma
%{_includedir}/lzma.h
%{_pkgconfigdir}/liblzma.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/liblzma.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/liblzma-5.dll
%changelog
* Tue Oct 13 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-xz.git;a=log;h=master

* Tue Oct 13 2015 Jakub Bogusz <qboosh@pld-linux.org> 84053c3
- updated to 5.2.2

* Sun Apr 05 2015 Jan Rękorajski <baggins@pld-linux.org> 5e8b9f0
- x32 rebuild
- release 2 (by relup.sh)

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> fb9202d
- updated to 5.2.1

* Wed Dec 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 5e30622
- updated to 5.2.0

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 7ffa1fb
- do not require pkgconfig deps either

* Sat Apr 20 2013 Elan Ruusamäe <glen@delfi.ee> 0826139
- do not provide pkgconfig deps in system namespace

* Wed Sep 05 2012 Jakub Bogusz <qboosh@pld-linux.org> ab1d6af
- release 2

* Wed Sep 05 2012 Jakub Bogusz <qboosh@pld-linux.org> 006e93f
- added filterout_c to avoid build failures on -f* options

* Sun Jul 08 2012 Jakub Bogusz <qboosh@pld-linux.org> 67c0e95
- updated to 5.0.4

* Mon Dec 26 2011 Jakub Bogusz <qboosh@pld-linux.org> 8127c68
- new

